<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class catalogo_cliente_pertenece

    {

        public function insert_catalogo_cliente_pertenece($Promotor, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO catalogo_cliente_pertenece(Promotor, Fecha_De_Registro, Usuario_Que_Registra, Fecha_De_Modificacion, Usuario_Que_Modifico) VALUES ('$Promotor', '$Fecha_De_Registro', '$Usuario_Que_Registra', '$Fecha_De_Modificacion', '$Usuario_Que_Modifico') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='catalogo_cliente_pertenece';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_catalogo_cliente_pertenece($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_cliente_pertenece ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_cliente_pertenece";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_catalogo_cliente_pertenecepg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

            }else{

                $consulta="SELECT * FROM catalogo_cliente_pertenece ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_catalogo_cliente_pertenece($Id_Catalogo_Cliente_Pertenece, $Promotor, $Fecha_De_Registro, $Usuario_Que_Registra, $Fecha_De_Modificacion, $Usuario_Que_Modifico)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_cliente_pertenece SET Id_Catalogo_Cliente_Pertenece='$Id_Catalogo_Cliente_Pertenece', Promotor='$Promotor', Fecha_De_Registro='$Fecha_De_Registro', Usuario_Que_Registra='$Usuario_Que_Registra', Fecha_De_Modificacion='$Fecha_De_Modificacion', Usuario_Que_Modifico='$Usuario_Que_Modifico' WHERE Id_Catalogo_Cliente_Pertenece = '$Id_Catalogo_Cliente_Pertenece'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_cliente_pertenece';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_catalogo_cliente_pertenece($Id_Catalogo_Cliente_Pertenece)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM catalogo_cliente_pertenece WHERE Id_Catalogo_Cliente_Pertenece='$Id_Catalogo_Cliente_Pertenece'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_cliente_pertenece';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_catalogo_cliente_pertenece($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM catalogo_cliente_pertenece ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM catalogo_cliente_pertenece";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_catalogo_cliente_pertenecepg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM catalogo_cliente_pertenece ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_catalogo_cliente_pertenece($Id_Catalogo_Cliente_Pertenece)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_cliente_pertenece WHERE Id_Catalogo_Cliente_Pertenece='$Id_Catalogo_Cliente_Pertenece'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_catalogo_cliente_pertenece_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_cliente_pertenece";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_catalogo_cliente_pertenece($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM catalogo_cliente_pertenece WHERE Id_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

                $consulta="SELECT count(*) as numregis FROM catalogo_cliente_pertenece WHERE Id_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='catalogo_cliente_pertenece';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_catalogo_cliente_pertenecepg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM catalogo_cliente_pertenece WHERE $_Clausula_Fk=$_IdFk AND (Id_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%') ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

            }else{

                $consulta="SELECT * FROM catalogo_cliente_pertenece WHERE Id_Catalogo_Cliente_Pertenece LIKE '%$Buscar%' || Promotor LIKE '%$Buscar%' || Fecha_De_Registro LIKE '%$Buscar%' || Usuario_Que_Registra LIKE '%$Buscar%' || Fecha_De_Modificacion LIKE '%$Buscar%' || Usuario_Que_Modifico LIKE '%$Buscar%' ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_catalogo_cliente_pertenece($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM catalogo_cliente_pertenece WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Catalogo_Cliente_Pertenece DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_catalogo_cliente_pertenece($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_catalogo_cliente_pertenece($Field,$Value,$Id_Catalogo_Cliente_Pertenece)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_cliente_pertenece SET $Field='$Valueinto' WHERE Id_Catalogo_Cliente_Pertenece= '$Id_Catalogo_Cliente_Pertenece'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_cliente_pertenece';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_catalogo_cliente_pertenece($Field,$Value,$Id_Catalogo_Cliente_Pertenece)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE catalogo_cliente_pertenece SET $Field='$Value' WHERE Id_Catalogo_Cliente_Pertenece= '$Id_Catalogo_Cliente_Pertenece'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='catalogo_cliente_pertenece';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>